exports.ids = [4];
exports.modules = {

/***/ "./src/transformers/docblock.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.profiles = exports.applyTo = undefined;

var _docblockParser = __webpack_require__(69);

var _docblockParser2 = _interopRequireDefault(_docblockParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var applyTo = exports.applyTo = function applyTo(input, options) {
  return (0, _docblockParser2.default)(options).parse(input);
};

exports.default = _docblockParser2.default;
var profiles = exports.profiles = {
  docblock: _docblockParser2.default
};

/***/ },

/***/ "./src/transformers/markdown.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addons = exports.profiles = exports.github = exports.stringifier = exports.html = exports.parser = exports.comments = exports.standard = exports.applyTo = undefined;

var _remark = __webpack_require__(27);

var _remark2 = _interopRequireDefault(_remark);

var _remarkCommentBlocks = __webpack_require__(41);

var _remarkCommentBlocks2 = _interopRequireDefault(_remarkCommentBlocks);

var _remarkCommentConfig = __webpack_require__(42);

var _remarkCommentConfig2 = _interopRequireDefault(_remarkCommentConfig);

var _remarkHtml = __webpack_require__(45);

var _remarkHtml2 = _interopRequireDefault(_remarkHtml);

var _remarkSlug = __webpack_require__(51);

var _remarkSlug2 = _interopRequireDefault(_remarkSlug);

var _remarkSqueezeParagraphs = __webpack_require__(52);

var _remarkSqueezeParagraphs2 = _interopRequireDefault(_remarkSqueezeParagraphs);

var _remarkYamlAnnotations = __webpack_require__(58);

var _remarkYamlAnnotations2 = _interopRequireDefault(_remarkYamlAnnotations);

var _remarkStringify = __webpack_require__(53);

var _remarkStringify2 = _interopRequireDefault(_remarkStringify);

var _remarkNormalizeHeadings = __webpack_require__(47);

var _remarkNormalizeHeadings2 = _interopRequireDefault(_remarkNormalizeHeadings);

var _remarkGithub = __webpack_require__(44);

var _remarkGithub2 = _interopRequireDefault(_remarkGithub);

var _remarkToc = __webpack_require__(55);

var _remarkToc2 = _interopRequireDefault(_remarkToc);

var _remarkAutolinkHeadings = __webpack_require__(40);

var _remarkAutolinkHeadings2 = _interopRequireDefault(_remarkAutolinkHeadings);

var _remarkContributors = __webpack_require__(43);

var _remarkContributors2 = _interopRequireDefault(_remarkContributors);

var _remarkLicense = __webpack_require__(46);

var _remarkLicense2 = _interopRequireDefault(_remarkLicense);

var _remarkStripBadges = __webpack_require__(54);

var _remarkStripBadges2 = _interopRequireDefault(_remarkStripBadges);

var _remarkUsage = __webpack_require__(56);

var _remarkUsage2 = _interopRequireDefault(_remarkUsage);

var _remarkValidateLinks = __webpack_require__(57);

var _remarkValidateLinks2 = _interopRequireDefault(_remarkValidateLinks);

var _remarkParse = __webpack_require__(48);

var _remarkParse2 = _interopRequireDefault(_remarkParse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Run a remark parser profile with optional add-ons. Available profiles
 * can be found @see profiles and addOns @see addOns
 *
 * @param {Object} options - the options object
 * @param {String} options.profile - which parser profile to use?
 * @param {Array} options.addOns - which addons to include?
 */
exports.default = function () {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var context = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _options$profile = options.profile;
  var profile = _options$profile === undefined ? 'parser' : _options$profile;
  var _options$addOns = options.addOns;
  var addOns = _options$addOns === undefined ? [] : _options$addOns;

  var unified = profiles[profile] || parser;

  return addOns.reduce(function (memo, addon) {
    return addons[addOn] ? memo.use(addons[addOn]) : memo;
  }, unified(options));
};

var applyTo = exports.applyTo = function applyTo(input, options) {
  var _options$method = options.method;
  var method = _options$method === undefined ? 'parse' : _options$method;
  var _options$parser = options.parser;
  var parser = _options$parser === undefined ? 'github' : _options$parser;

  return profiles[parser](options)[method](input);
};

var standard = exports.standard = function standard() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _remark2.default)().use(_remarkCommentConfig2.default).use(_remarkNormalizeHeadings2.default).use(_remarkSqueezeParagraphs2.default).use(_remarkSlug2.default).use(_remarkYamlAnnotations2.default).use(_remarkAutolinkHeadings2.default);
};

var comments = exports.comments = function comments() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return standard(options).use(_remarkCommentBlocks2.default);
};

var parser = exports.parser = function parser() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return standard(options).use(_remarkParse2.default);
};

var html = exports.html = function html() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return standard(options).use(_remarkHtml2.default);
};

var stringifier = exports.stringifier = function stringifier() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return standard(options).use(_remarkStringify2.default);
};

var github = exports.github = function github() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return standard(options).use(_remarkGithub2.default).use(_remarkAutolinkHeadings2.default);
};

var profiles = exports.profiles = {
  parser: parser,
  standard: standard,
  comments: comments,
  github: github,
  html: html,
  stringifier: stringifier
};

var addons = exports.addons = {
  contributors: _remarkContributors2.default,
  license: _remarkLicense2.default,
  stripBadges: _remarkStripBadges2.default,
  usage: _remarkUsage2.default,
  validateLinks: _remarkValidateLinks2.default,
  toc: _remarkToc2.default
};

/***/ },

/***/ "./src/transformers/rehype.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.profiles = exports.nestedSections = exports.rehype = exports.applyTo = undefined;

var _markdown = __webpack_require__("./src/transformers/markdown.js");

var _remarkRehype = __webpack_require__(49);

var _remarkRehype2 = _interopRequireDefault(_remarkRehype);

var _rehypeStringify = __webpack_require__(39);

var _rehypeStringify2 = _interopRequireDefault(_rehypeStringify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var context = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _options$profile = options.profile;
  var profile = _options$profile === undefined ? 'default' : _options$profile;

  return (profiles[profile] || nestedSections)(options);
};

var applyTo = exports.applyTo = function applyTo(input, options) {
  var _options$method = options.method;
  var method = _options$method === undefined ? 'parse' : _options$method;
  var _options$parser = options.parser;
  var parser = _options$parser === undefined ? 'nested' : _options$parser;

  return profiles[parser](options)[method](input);
};

var rehype = exports.rehype = function rehype() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _markdown.parser)(options).use(_remarkRehype2.default).use(_rehypeStringify2.default);
};

var nestedSections = exports.nestedSections = function nestedSections() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return rehype(options).use(function () {
    return nestSections;
  }).use(_rehypeStringify2.default);
};

var profiles = exports.profiles = {
  default: nestedSections,
  nested: nestedSections,
  standard: rehype
};

/* eslint-disable */

// Thanks to titus @wooorm the author of remark / retext / rehype for this!
var nestSections = function nestSections(tree) {
  var result = [];
  var section = void 0;
  var article = void 0;

  tree.children.forEach(function (child) {
    var ctx;

    if (child.tagName === 'h2') {
      ctx = result;
      article = null;
      section = child = h('section', [child]);
    } else if (child.tagName === 'h3') {
      ctx = section ? section.children : result;
      article = child = h('article', [child]);
    } else {
      ctx = (article || section || {}).children || result;
    }

    ctx.push(child);
  });

  tree.children = [h('main', result)];
};

/***/ },

/***/ "./src/transformers/retext.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyTo = exports.profiles = exports.retext = undefined;

var _remark = __webpack_require__(27);

var _remark2 = _interopRequireDefault(_remark);

var _unified = __webpack_require__(61);

var _unified2 = _interopRequireDefault(_unified);

var _remarkRetext = __webpack_require__(50);

var _remarkRetext2 = _interopRequireDefault(_remarkRetext);

var _retextEnglish = __webpack_require__(59);

var _retextEnglish2 = _interopRequireDefault(_retextEnglish);

var _retextKeywords = __webpack_require__(60);

var _retextKeywords2 = _interopRequireDefault(_retextKeywords);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var retext = exports.retext = function retext() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _unified2.default)().use((0, _remark2.default)()).use(_remarkRetext2.default, (0, _unified2.default)().use(_retextEnglish2.default).use(_retextKeywords2.default));
};

exports.default = function () {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var context = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _options$profile = options.profile;
  var profile = _options$profile === undefined ? 'default' : _options$profile;

  return (profiles[profile] || retext)(options);
};

var profiles = exports.profiles = {
  default: retext,
  retext: retext
};

var applyTo = exports.applyTo = function applyTo(input, options) {
  var _options$method = options.method;
  var method = _options$method === undefined ? 'parse' : _options$method;
  var _options$parser = options.parser;
  var parser = _options$parser === undefined ? 'retext' : _options$parser;

  return profiles[parser](options)[method](input);
};

/***/ },

/***/ 124:
/***/ function(module, exports, __webpack_require__) {

var map = {
	"./docblock.js": "./src/transformers/docblock.js",
	"./markdown.js": "./src/transformers/markdown.js",
	"./rehype.js": "./src/transformers/rehype.js",
	"./retext.js": "./src/transformers/retext.js"
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 124;


/***/ }

};;